<template>
  <div class="login-wrap">
    <div class="login">
      <div class="contain">
        <template v-if="isquit">
          <div class="tab">
            <span :class="{active:phone}" @click="alter('phone')" v-show="!forget&&!register">手机登陆</span>
            <span :class="{active:!phone}" @click="alter('email')" v-show="!forget&&!register">邮箱登陆</span>
            <span :class="{active:phone}" @click="alter('phone')" v-show="forget&&!register">手机找回</span>
            <span :class="{active:!phone}" @click="alter('email')" v-show="forget&&!register">邮箱找回</span>
            <span :class="{active:phone}" @click="alter('phone')" v-show="!forget&&register">手机注册</span>
            <span :class="{active:!phone}" @click="alter('email')" v-show="!forget&&register">邮箱注册</span>
          </div>
          <div class="input-line">
            <span class="country" v-show="phone">
              <el-select v-model="areavalue" @change="codechange()">
                <el-option
                  v-for="item in options"
                  :value="item.ch_name"
                  :key="item.ch_name">
                </el-option>
              </el-select>
            </span>
            <span class="icon-email" v-show="!phone"><i class="iconfont icon-tubiao01"></i></span>
            <input type="text" placeholder="请输入您的手机号码" class="input" v-show="phone" v-model="form.mobile">
            <input type="text" placeholder="请输入您的邮箱" class="input" v-show="!phone" v-model="form.email">
          </div>

          <div class="verification-line" v-show="(forget&&phone)||register">
            <input type="text" placeholder="请输入验证码" class="input" v-model="form.code">
            <button @click="verify()">发送验证码</button>
          </div>

          <div class="input-line" v-show="!forget">
            <span class="icon-password"><i class="iconfont icon-mima"></i></span>
            <input type="password" placeholder="请输入您的密码" class="input" v-model="form.password">
          </div>

          <div class="input-line" v-show="forget&&phone">
            <span class="icon-password"><i class="iconfont icon-mima"></i></span>
            <input type="password" placeholder="请输入您的新密码" class="input" v-model="form.newpassword">
          </div>

          <div class="input-line" v-show="forget&&phone">
            <span class="icon-password"><i class="iconfont icon-mima"></i></span>
            <input type="password" placeholder="请再次输入您的新密码" class="input" v-model="form.againpassword">
          </div>

          <div class="forget-register">
            <span class="cursor blue right" @click="alter('forget')" v-show="forget">返回登陆!</span>
            <span class="cursor" @click="alter('forget')" v-show="!forget&&!register">忘记密码?</span>
            <span class="cursor blue" @click="alter('register')" v-show="!forget&&!register">立即注册!</span>
            <div v-show="!forget&&register">
              <input type="checkbox" id="tip" class="input" v-model="isRead">
              <span>
                我已了解
                <i class="blue cursor" @click="centerDialogVisible = true">风险提示</i>
                ！
              </span>
            </div>
            <span class="cursor blue" @click="alter('register')" v-show="!forget&&register">立即登陆!</span>
          </div>
          <div class="submit-line">
            <el-button type="primary" class="btn" v-show="!forget&&!register" @click="login()">登陆</el-button>
            <el-button type="primary" class="btn" v-show="!phone&&forget" @click="sendmail()">发送邮件</el-button>
            <el-button type="primary" class="btn" v-show="phone&&forget" @click="mobileFind()">修改密码</el-button>
            <el-button type="primary" class="btn" v-show="register" @click="reg()">注册</el-button>
          </div>
        </template>
        <template v-else>
          <p class="LS">欢迎您，{{username}}！</p>
          <button class="LS" @click="apply">申请经纪商</button>
        </template>
      </div>
    </div>
    <el-dialog
      title="提示"
      :visible.sync="centerDialogVisible"
      width="70%"
      center>
      <span slot="title" class="dialog-title">
        FX66平台风险提示及免责声明
      </span>
      <span>尊敬的FX66平台用户：<br/>
由于数字资产具有极高的投资风险，实行7*24小时连续交易，它没有像中国股市有涨跌停限制，且易受外界因素影响，价格波动较大！ 比特币不由货币当局发行，不具有法偿性与强制性，请务必在了解数字资产市场风险与风险自担的前提下谨慎、理性投资。<br/>

一、风险提示：
1 、数字资产市场是全新的、未经确认的，而且可能不会增长。目前，数字资产主要由投机者大量使用，零售和商业市场使用相对较少。因此，数字资产价格易产生波动，并进而对数字资产投资产生不利影响。<br/>

2、因各国法律、法规和规范性文件的制定或者修改，数字资产交易随时可能被暂停、或被禁止。因此造成的经济损失全部由用户自行承担。<br/>

3、用户参与数字资产交易，需承受较高风险。用户应了解和理解此投资有可能导致部分损失或全部损失，所以用户应该以能承受的损失程度来决定投资的金额。用户应了解和理解数字资产会产生衍生风险，所以如有任何疑问，建议先寻求理财顾问的协助。此外，除了上述提及过的风险以外，还会有未能预测的风险存在。<br/>

4 、用户应慎重考虑并用清晰的判断能力去评估自己的财政状况及上述各项风险而作出任何买卖数字资产的决定，并承担由此产生的全部损失，FX66对此不承担任何责任。<br/>

5 、用户了解FX66仅作为用户获取数字资产信息、寻找交易方、就数字资产的交易进行协商及开展交易的场所，FX66不参与用户的任何交易，故用户应自行谨慎判断确定相关数字资产及/或信息的真实性、合法性和有效性，并自行承担因此产生的责任与损失。<br/>

6、 FX66的任何意见、消息、探讨、分析、价格、建议和其他资讯均是一般的市场评论，并不构成投资建议。FX66不承担任何因依赖该资讯直接或间接而产生的损失，包括但不限于任何利润损失。<br/>

7、FX66的内容会随时更改并不作另行通知，FX66已采取合理措施确保网站资讯的准确性，但并不能保证其准确性程度，亦不会承担任何因FX66的资讯或因未能链结互联网、传送或接收任何通知和信息时的延误或失败而直接或间接产生的损失。
<br/>
8、使用互联网形式的交易系统亦存有风险，包括但不限于软件，硬件和互联网链结的失败等。由于FX66不能控制互联网的可靠性和可用性，FX66不会对失真，延误和链结失败而承担任何责任。<br/>

二、反洗钱：<br/>
为了维护金融稳定，防范洗钱风险。FX66将严格遵循相关法律，严格实行账户实名制，防范可能存在的金融风险。<br/>

1、FX66遵守和执行反洗钱法的规定，对用户进行身份识别、客户身份资料和交易记录保存制度，以及大额的和可疑交易报告的制度。<br/>

2、用户注册、挂失交易密码或者资金密码时，应当提供并上传身份证复印件，FX66对用户提供的身份证信息进行识别和比对。FX66有合理的理由怀疑用户使用虚假身份注册时，有权拒绝注册或者注销已经注册的账户。<br/>

3、FX66参照《金融机构大额交易和可疑交易报告管理办法》的规定，保存大额交易和有洗钱嫌疑的交易记录，在监管机构要求提供大额交易和可疑交易的记录时，向监管机构提供。<br/>

4、FX66对用户身份信息以及大额交易、可疑交易记录进行保存，依法协助、配合司法机关和行政执法机关打击洗钱活动，依照法律法规的规定协助司法机关、海关、税务等部门查询、冻结和扣划客户存款。<br/>

5、用户需要承诺在FX66注册的账户为本人操作，提供的所有证件，信息均真实有效。若在验证账户时发现提供的信息为虚假， 伪造或拒绝，虚假陈述资金来源及去向等，FX66有权在不通知用户的情况下冻结账户，并向公安机关举报。<br/>

三、免责声明：<br/>
1、FX66提供的信息（包括且不限于币种介绍、投资分析报告、预测文章信息及其他评论、数据、图表、指标、理论、直接的或暗示的指示）等仅供参考，FX66力求但不保证信息的准确性、完整。FX66不对因使用本网站全部或部分内容产生的或因依赖本网站内容而引致的任何损失承担任何责任。<br/>

2、FX66可能提供部分与其他网站的链接，前述链接仅为方便您的使用，FX66不对所链接网站的信息的真实性、有效性、合法性承担任何责任。<br/>

3、通过FX66服务购买或获取任何数据、信息或进行交易等行为或替代行为产生的费用及损失，包括但不限于收入损失，交易利润或合同损失，业务中断，预期可节省的货币的损失， 信息的损失，机会、商誉或声誉的损失，数据的损坏或损失，购买替代产品或服务的成本，数字资产消亡或退出市场，任何由于侵权（包括过失）、违约或其他任何原因产生的间接的、特殊的或附带性的损失或损害。<br/>

4、不论在何种情况下，FX66均不对由于信息网络正常的设备维护，信息网络连接故障，电脑、通讯或其他系统的故障，电力故障，罢工，劳动争议，暴乱，起义，骚乱，生产力或生产资料不足，火灾，洪水，风暴，爆炸，战争，政府行为，司法行政机关的命令或第三方的不作为而造成的不能服务或延迟服务承担责任。<br/>

5、基于互联网的特殊性，FX66不担保服务不会受中断，对服务的及时性、安全性都不作担保。FX66力图使用户能对本网站进行安全访问和使用，但FX66不能保证FX66包含的全部信息、程序、文本等完全安全，不受任何病毒、木马等恶意程序的干扰和破坏，故用户登陆、使用FX66任何服务或下载及使用该下载的任何程序、信息、数据等均是用户个人的决定并自行承担风险及可能产生的损失。
<br/>
6、基于区块链交易平台的特殊性，FX66力图确保平台 365*24 小时保持在线。但FX66不能保证因 DDoS 攻击、服务器供应商暂停服务、网络供应商暂停服务或其他不可抗力等原因造成网站无法访问，交易大厅无法正常挂单、撤单，已挂单交易未能正常成交，区块链资产充提币长时间未到账等情况。由于以上原因造成用户资产损失的情况，FX66不承担任何责任。<br/>

7、用户有义务妥善保管好用户名和密码。通过用户的用户名和密码编辑、发布的任何信息或做出的任何行为都将被视为是用户自己的行为，对因此产生的任何损失FX66不承担任何责任。<br/>

8、任何非因FX66的原因而引起的与FX66服务有关的其它损失。<br/>

数字货币可能存在矿工预挖、庄家操控、团队解散、技术缺陷等问题，其价格波动较大，可能发生资产归零的风险。因此我们强烈建议您在自身能承受的风险范围内参与数字货币交易。请注意止盈止损，合理评估风险，请勿投入高于个人承受能力的金额！ 最终解释权归FX66所有。FX66感谢有您的陪伴！</span>
      <span slot="footer" class="dialog-footer">
        
        <el-button type="primary" @click="centerDialogVisible = false">我已阅读</el-button>
      </span>
    </el-dialog>
  </div>
</template>



<script>
export default {
  name: 'login',
  data () {
    return {
      options: [],
      areavalue:'中国',
      phone:true,
      forget:false,
      register:false,
      enterID:"请输入您的手机号码",
      centerDialogVisible: false,
      username:'',
      isRead:false,
      form:{
        mobile:'',
        email:'',
        password:'',
        redirect_uri:'http://33.cn',
        os:'web',
        type:'sms',
        area:'86',
        platform:'fx66',
        code:'',
        newpasswoord:'',
        againpassword:''
      }
    }
  },
  props:['isquit'],
  created(){
    this.$http.get('https://dev407.33.cn/api/data/country')
    .then(response=> {
      this.options=response.data.data
    })
    .catch(function (error) {
      console.log(error);
    })
    if (window.localStorage.username) {
      this.username=window.localStorage.username
      this.$emit('chuanzhi',this.username)
    }
  },
  methods:{
    empty(){
      this.form.mobile=''
      this.form.email=''
      this.form.password=''
    },
    alter(e){
      this.empty()
      if (e=="phone") {
        this.phone=true
      }else if (e=="email") {
        this.phone=false
      }else if (e=="forget") {
        this.forget=!this.forget
      }else if (e=="register") {
        this.register=!this.register
      }
    },
    apply(){
      this.$router.push("apply")
    },
    codechange(){
      for(let i in this.options){
        if (i.ch_name==this.areavalue) {
          this.form.area=i.code
        }
      }
    },
    login(){
      if (this.phone) {
        let parm = new URLSearchParams()
        parm.append('mobile',this.form.mobile)
        parm.append('password',this.form.password)
        parm.append('redirect_uri',this.form.redirect_uri)
        parm.append('os',this.form.os)
        parm.append('type','sms')
        parm.append('area',this.form.area)
        parm.append('platform',this.form.platform)
        this.$http.post('https://dev407.33.cn/api/broker/login',parm)
        .then(response => {
          console.log(response);
          if (response.data.code==200) {
            this.loginSucceed(response.data.data)
          }else{
            alert(response.data.message)
          }
          
        })
        .catch(function (error) {
          console.log(error);
        });
      }else {
        let parm = new URLSearchParams()
        parm.append('email',this.form.email)
        parm.append('password',this.form.password)
        parm.append('redirect_uri',this.form.redirect_uri)
        parm.append('os',this.form.os)
        parm.append('type','email')
        parm.append('platform',this.form.platform)
        this.$http.post('https://dev407.33.cn/api/broker/login',parm)
        .then(response=> {
          console.log(response);
          if (response.data.code==200) {
            this.loginSucceed(response.data.data)
          }else{
            alert(response.data.message)
          }
        })
        .catch(function (error) {
          console.log(error);
        });
      }
      this.empty()
    },
    verify(){
      if(!this.phone&&this.register) {
        let parm = new URLSearchParams();
        parm.append('param',"FzmDateTime|FzmRandom")
        parm.append('email',this.form.email)
        parm.append('codetype',"validate")
        parm.append('platkey',"zhaobi")
        this.$http.post("https://dev407.33.cn/api/send/newmail",parm)
        .then(response=>{
          console.log(response);
          alert(response.data.message)
        })
        .catch(error=>{
          console.log(error)
        })
      }else if(this.phone&&this.register){
        let parm = new URLSearchParams();
        parm.append('param',"FzmRandom")
        parm.append('mobile',this.form.mobile)
        parm.append('codetype',"validate")
        parm.append('area',this.form.area)
        parm.append('platkey',"zhaobi")
        this.$http.post("https://dev407.33.cn/api/send/newsms",parm)
        .then(response=>{
          console.log(response)
          alert(response.data.message)
        })
        .catch(error=>{
          console.log(error)
        })
      }else if (this.phone&&this.forget) {
        let parm = new URLSearchParams();
        parm.append('codetype',"validate")
        parm.append('param',"FzmRandom")
        parm.append('mobile',this.form.mobile)
        parm.append('area',this.form.area)
        parm.append('platkey',"zhaobi")
        this.$http.post("https://dev407.33.cn/api/send/newsms",parm)
        .then(response=>{
          console.log(response)
          alert(response.data.message)
        })
        .catch(error=>{
          console.log(error)
        })
      }
    },
    reg(){
      if (this.isRead==false) {
        alert('请先阅读风险提示')
      }else{
        if (!this.phone) {
          let parm = new URLSearchParams()
          parm.append('email',this.form.email)
          parm.append('password',this.form.password)
          parm.append('code',this.form.code)
          parm.append('type','email')
          this.$http.post("https://dev407.33.cn/api/broker/register",parm)
          .then(response=>{
            console.log(response);
            alert(response.data.message)
          })
          .catch(error=>{
            console.log(error)
          })
        }else{
          let parm = new URLSearchParams()
          parm.append('mobile',this.form.mobile)
          parm.append('password',this.form.password)
          parm.append('code',this.form.code)
          parm.append('type','sms')
          parm.append('area',this.form.area)
          this.$http.post("https://dev407.33.cn/api/broker/register",parm)
          .then(response=>{
            console.log(response);
            alert(response.data.message)
          })
          .catch(error=>{
            console.log(error)
          })
        }
      }
      
    },
    sendmail(){
      let parm = new URLSearchParams()
      parm.append('email',this.form.email)
      parm.append('type','email')
      parm.append('platCode','04031632e48cd96e')
      parm.append('ticket','')
      parm.append('businessId','')
      this.$http.post("https://dev407.33.cn/api/member/brokernewresetpassword",parm)
      .then(response=>{
        console.log(response);
        alert(response.data.message)
      })
      .catch(error=>{
        console.log(error)
      })
    },
    mobileFind(){
      let parm = new URLSearchParams()
      parm.append('area',this.form.area)
      parm.append('mobile',this.form.mobile)
      parm.append('type','sms')
      parm.append('broker_code','04031632e48cd96e')
      parm.append('password',this.form.newpassword)
      parm.append('password2',this.form.againpassword)
      parm.append('code',this.form.code)
      parm.append('os',this.form.os)
      this.$http.post("https://dev407.33.cn/api/member/brokernewresetpassword",parm)
      .then(response=>{
        console.log(response);
        alert(response.data.message)
      })
      .catch(error=>{
        console.log(error)
      })
    },
    loginSucceed(e){
      let sto=window.localStorage
      sto.userid=e.userid
      sto.username=e.username
      sto.token=e.access_token
      this.username=e.username
      this.$emit('chuanzhi',e.username)
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style>
	.login-wrap[data-v-b25dc27c]{
    width: 1200px;
    margin: 0 auto;
    position: absolute;
    left: 50%;
    top: 0;
    margin-left: -600px;
    .login{
      width: 390px;
      background-color: rgba(255,255,255,0.4);
      padding: 15px;
      position: absolute;
      right: 0;
      top: 188px;
      z-index:50;
      .contain{
        background: white;
        padding: 50px 20px 0;
        color: #333;
        .tab{
          border-bottom: 2px solid #e5e5e5;
          margin-bottom: 30px;
          text-align: center;
          span{
            display: inline-block;
            font-size: 20px;
            color: #333;
            width: 110px;
            padding-bottom: 20px;
            cursor: pointer;
          }
          span.active{
            border-bottom: 2px solid #1a6fa6;
            margin-bottom: -2px;
            color: #1a6fa6;
          }
        }
        .input-line{
          position: relative;
          width: 310px;
          height: 50px;
          line-height: 50px;
          margin: 0 auto;
          border:1px solid #dcdcdc;
          text-align: left;
          margin-bottom: 10px;
          .icon-email{
            display: inline-block;
            width: 50px;
            height: 50px;
            text-align: center;
            border-right: 1px solid #dcdcdc;
            i{
              font-size: 24px;
              color: #ccc;
            }
          }
          .country{
            display: inline-block;
            width: 50px;
            height: 50px;
            text-align: center;
            border-right: 1px solid #dcdcdc;
            .el-input__inner{
              padding-left: 2px;
              height: 100%;
              border: none;
              padding-right: 14px;
              font-size: 12px;
            }
            .el-input__prefix, .el-input__suffix{
              right: 4px;
              width: 14px;
            }
          }
          .input{
            position: absolute;
            margin-top: 10px;
            padding-left: 10px;
            line-height: 30px;
            border: none;
            font-size: 14px;
            width: 250px;
          }
          .icon-password{
            display: inline-block;
            width: 50px;
            height: 50px;
            text-align: center;
            border-right: 1px solid #dcdcdc;
            i{
              font-size: 24px;
              color: #ccc;
            }
          }
        }
        .verification-line{
          width: 310px;
          height: 50px;
          line-height: 50px;
          margin: 0 auto 10px;
          text-align: left;
          input{
            border: 1px solid #dcdcdc;
            height: 50px;
            padding-left: 10px;
            line-height: 30px;
            font-size: 14px;
          }
          button{
            width: 130px;
            height: 50px;
            background: #ffe366;
            border: 0;
            position: absolute;
            margin-left: 10px;
            font-size: 14px;
            color: #666;
            cursor: pointer;
          }
        }
        .forget-register{
          width: 310px;
          margin: 10px auto 26px;
          line-height: 1;
          text-align: left;
          font-size: 14px;
          display: flex;
          justify-content: space-between;
          align-items: center;
          .cursor{
            cursor: pointer;
          }
          .blue{
            color: #1a6fa6;
          }
          .right{
            width: 100%;
            text-align: right;
          }
        }
        .submit-line{
          padding-bottom: 30px;
          text-align: center;
          .btn{
            width: 150px;
            height: 50px;
            font-size: 18px;
            background: #1a6fa6;
            color: white;
            border-radius: 0;
          }
        }
        p.LS{
          font-size: 25px;
          color: #1a6fa6;
          text-align: center;
        }
        button.LS{
          width: 100%;
          height: 50px;
          line-height: 50px;
          border: 1px solid #d2d2d2;
          background-color: transparent;
          margin-bottom: 20px;
          font-size: 18px;
          margin: 50px 0 65px;
          cursor: pointer;
        }
      }
    }
    .dialog-title{
      font-size: 24px;
      color: #165e8d;
    }
  }
</style>
